curl --request POST \
--url https://api.mottostreaming.com/monetization/ads/v1/video_ads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"name": "<string>",
"ad_manifest": {
"title": "<string>",
"video_files": [
{
"config": {
"asset_id": "<string>"
}
}
],
"aspect_ratio": "<string>",
"duration_seconds": 123,
"allow_skip_after_seconds": 123,
"clickthrough_url": "<string>",
"impression_tracking_url": "<string>",
"error_tracking_url": "<string>"
},
"ad_tag_url": "<string>",
"geo_applicability_exempt": {
"country_codes": [
"<string>"
]
},
"geo_applicability_apply": {
"country_codes": [
"<string>"
]
},
"applies_to_all": true,
"target": {
"entity_ids": [
"<string>"
],
"event_ids": [
"<string>"
],
"creative_work_ids": [
"<string>"
],
"content_start_time": "2023-11-07T05:31:56Z",
"content_end_time": "2023-11-07T05:31:56Z",
"video_ids": [
"<string>"
]
},
"filter": {
"filter_events": "<string>",
"filter_creative_works": "<string>"
},
"priority": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/monetization/ads/v1/video_ads"
payload = {
"project_id": "<string>",
"name": "<string>",
"ad_manifest": {
"title": "<string>",
"video_files": [{ "config": { "asset_id": "<string>" } }],
"aspect_ratio": "<string>",
"duration_seconds": 123,
"allow_skip_after_seconds": 123,
"clickthrough_url": "<string>",
"impression_tracking_url": "<string>",
"error_tracking_url": "<string>"
},
"ad_tag_url": "<string>",
"geo_applicability_exempt": { "country_codes": ["<string>"] },
"geo_applicability_apply": { "country_codes": ["<string>"] },
"applies_to_all": True,
"target": {
"entity_ids": ["<string>"],
"event_ids": ["<string>"],
"creative_work_ids": ["<string>"],
"content_start_time": "2023-11-07T05:31:56Z",
"content_end_time": "2023-11-07T05:31:56Z",
"video_ids": ["<string>"]
},
"filter": {
"filter_events": "<string>",
"filter_creative_works": "<string>"
},
"priority": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
name: '<string>',
ad_manifest: {
title: '<string>',
video_files: [{config: {asset_id: '<string>'}}],
aspect_ratio: '<string>',
duration_seconds: 123,
allow_skip_after_seconds: 123,
clickthrough_url: '<string>',
impression_tracking_url: '<string>',
error_tracking_url: '<string>'
},
ad_tag_url: '<string>',
geo_applicability_exempt: {country_codes: ['<string>']},
geo_applicability_apply: {country_codes: ['<string>']},
applies_to_all: true,
target: {
entity_ids: ['<string>'],
event_ids: ['<string>'],
creative_work_ids: ['<string>'],
content_start_time: '2023-11-07T05:31:56Z',
content_end_time: '2023-11-07T05:31:56Z',
video_ids: ['<string>']
},
filter: {filter_events: '<string>', filter_creative_works: '<string>'},
priority: '<string>'
})
};
fetch('https://api.mottostreaming.com/monetization/ads/v1/video_ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"video_ad": {
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"ad_manifest": {
"title": "<string>",
"video_files": [
{
"config": {
"asset_id": "<string>"
}
}
],
"aspect_ratio": "<string>",
"duration_seconds": 123,
"allow_skip_after_seconds": 123,
"clickthrough_url": "<string>",
"impression_tracking_url": "<string>",
"error_tracking_url": "<string>"
},
"ad_tag_url": "<string>",
"geo_applicability_exempt": {
"country_codes": [
"<string>"
]
},
"geo_applicability_apply": {
"country_codes": [
"<string>"
]
},
"applies_to_all": true,
"target": {
"entity_ids": [
"<string>"
],
"event_ids": [
"<string>"
],
"creative_work_ids": [
"<string>"
],
"content_start_time": "2023-11-07T05:31:56Z",
"content_end_time": "2023-11-07T05:31:56Z",
"video_ids": [
"<string>"
]
},
"filter": {
"filter_events": "<string>",
"filter_creative_works": "<string>"
},
"priority": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Create video ad
CreateVideoAd
Creates new video_ad.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The ID of the project that the ad belongs to.
Name of the video ad
The necessary parameters to generate a manifest (for a VAST or VMAP) to be used for this video ad.
Important: at most one of ad_manifest, ad_tag_url may be set per request.
Show child attributes
Show child attributes
A third-party hosted ad tag URL to be used for this video ad. This is typically a VAST or VMAP tag in Google Ad Manager or similar.
Important: at most one of ad_manifest, ad_tag_url may be set per request.
Visibility settings for the video ad. When not set to published, the ad will not be shown to end users.
VISIBILITY_UNSPECIFIED, VISIBILITY_PUBLISHED, VISIBILITY_UNLISTED, VISIBILITY_HIDDEN Viewers from these countries will not have this video ad shown.
Important: at most one of geo_applicability_exempt, geo_applicability_apply may be set per request.
Show child attributes
Show child attributes
Viewers from these countries will have this video ad shown.
Important: at most one of geo_applicability_exempt, geo_applicability_apply may be set per request.
Show child attributes
Show child attributes
This video ad applies to all videos in the project.
Important: at most one of applies_to_all, target, filter may be set per request.
This video ad applies to a specific set of videos, as defined by the target.
Important: at most one of applies_to_all, target, filter may be set per request.
Show child attributes
Show child attributes
This video ad applies to a complex set of events and creative works, as defined by the filter target.
Important: at most one of applies_to_all, target, filter may be set per request.
Show child attributes
Show child attributes
The priority of the ad. If multiple ads apply to a video, the ad with the highest priority will be used.
Response
OK
Show child attributes
Show child attributes

